spot 2.3.1

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Modules Pages
Public Types | Public Member Functions | List of all members
spot::internal::boxed_label< Data, false > Struct Template Reference
Inheritance diagram for spot::internal::boxed_label< Data, false >:
Collaboration diagram for spot::internal::boxed_label< Data, false >:

## Public Types
typedef Data | data_t

## Public Member Functions
template<typename... Args, typename = typename std::enable_if< !first_is_base_of<boxed_label, Args...>::value>::type>
| boxed_label (Args &&...args) noexcept(std::is_nothrow_constructible< Data, Args...>::value)
Data & | data ()
const Data & | data () const

The documentation for this struct was generated from the following file:

- spot/graph/graph.hh

Please direct any question, comment, or bug report to the Spot mailing list at spot@lrde.epita.fr.